<?xml version="1.0" encoding="utf-8"?>
<PreferenceScreen xmlns:android="http://schemas.android.com/apk/res/android"
    title="@string/log_levels" >

    <Preference
        android:title="@string/loglevels_reset_title"
        android:key="@string/loglevels_reset_key"
        android:summary="@string/loglevels_reset_summary"/>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelAudioDecoder"
        android:title="@string/loglevel_audio_decoder" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelAudioPresenter"
        android:title="@string/loglevel_audio_presenter" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelAudioService"
        android:title="@string/loglevel_audio_service" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelDepack"
        android:title="@string/loglevel_depack" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelDrm"
        android:title="@string/loglevel_drm" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelDrmAgent"
        android:title="@string/loglevel_drm_agent" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelHttpStack"
        android:title="@string/loglevel_http_stack" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelLvmcAudio"
        android:title="@string/loglevel_lvmc_audio" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelLvmcJni"
        android:title="@string/loglevel_lvmc_jni" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelLvmcVideo"
        android:title="@string/loglevel_lvmc_video" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelLvvtbVideo"
        android:title="@string/loglevel_lvvtb_video" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelM4toolUri"
        android:title="@string/loglevel_m4tool_uri" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelMsh"
        android:title="@string/loglevel_msh" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelNetEngine"
        android:title="@string/loglevel_net_eng" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelNetEngineAuCb"
        android:title="@string/loglevel_net_eng_aucb" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelOfflineViewing"
        android:title="@string/loglevel_offline_viewing" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelPgdlEng"
        android:title="@string/loglevel_pgdl_eng" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelPlayerGeneric"
        android:title="@string/loglevel_player_generic" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelQpProxy"
        android:title="@string/loglevel_qpproxy" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelSsm"
        android:title="@string/loglevel_ssm" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelSubtitleDecoder"
        android:title="@string/loglevel_subtitle_decoder" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVideoDecoder"
        android:title="@string/loglevel_video_decoder" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVideoPresenter"
        android:title="@string/loglevel_video_presenter" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVideoRenderer"
        android:title="@string/loglevel_video_renderer" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVideoSink"
        android:title="@string/loglevel_video_sink" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVps"
        android:title="@string/loglevel_vps" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVpsApi"
        android:title="@string/loglevel_vps_api" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVpsSub"
        android:title="@string/loglevel_vps_sub" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVpsil"
        android:title="@string/loglevel_vpsil" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVpsilCb"
        android:title="@string/loglevel_vpsil_cb" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVpsilOthers"
        android:title="@string/loglevel_vpsil_others" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVpsilUtils"
        android:title="@string/loglevel_vpsil_utils" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVast"
        android:title="@string/loglevel_vast" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVmap"
        android:title="@string/loglevel_vmap" >
    </ListPreference>

    <ListPreference
        android:defaultValue="Default"
        android:entries="@array/loglevels_values"
        android:entryValues="@array/loglevels_values"
        android:key="loglevelVmx"
        android:title="@string/loglevel_vmx" >
    </ListPreference>

</PreferenceScreen>
